Subject: Re: [PATCH 12/14] Add device tree for Ebony

From: David Gibson <[email-masked]>
Date: Wed, 21 Feb 2007 15:57:56 +1100

On Tue, Feb 20, 2007 at 08:56:04PM +0100, Segher Boessenkool wrote:
> > Since UIC1 is cascaded off UIC0 in the interrupt tree,
> > UIC1 should have an interrupt-parent pointing to UIC0
> > so the interrupt tree can be traversed to the root.
> 
> Not necessary if UIC0 is the device tree parent of UIC1.
> (And in fact it would be "bad style").  But...
> 
> > I know this was beaten to death last week, but I would
> > still argue that in the device tree UIC0 and UIC1 should
> > be siblings.  (In the interrupt tree the cascade relationship
> > is described through interrupt-parent).
> 
> ... that is my opinion as well (as I'm sure you know ;-) ),
> and then of course you _do_ need the interrupt-parent property.

Ok, there are enough people of this opinion (including Paul), that
I've changed to representing the UICs as siblings.

-- 
David Gibson			| I'll have my music baroque, and my code
david AT gibson.dropbear.id.au	| minimalist, thank you.  NOT _the_ _other_
				| _way_ _around_!
http://www.ozlabs.org/~dgibson